---
updatedAt: 2026-03-05T19:01:23.000Z
agentTools:
  siteIndex: https://developer.paylocity.com/llms.txt
  projectIndex: https://developer.paylocity.com/integrations/llms.txt
---

# Getting Started with Tip Management

```curl cURL
-- Authentication
curl --location/request POST "https://dc1demogwext.paylocity.com/public/security/v1/token" \  
	--header "Content-Type: application/x-www-form-urlencoded" \  
	--data-urlencode "client_id=<your client id>" \  
	--data-urlencode "client_secret=<your secret>" \  
	--data-urlencode "grant_type=client_credentials"

-- Get company Information
curl --request GET \
     --url https://dc1demogwext.paylocity.com/apiHub/corehr/v1/companies/companyId \
     --header 'accept: application/json'
     
-- Get Employee Demographics
curl --request GET \
     --url https://dc1demogwext.paylocity.com/coreHr/v1/companies/companyId/employees \
     --header 'accept: application/json'
 
 -- Get Company Punch Details 
curl --location --request POST https://gwext.paylocity.com/public/security/v1/token \  
			--header Content-Type: application/x-www-form-urlencoded \  
			--data-urlencode client_id=<your client id> \  
			--data-urlencode client_secret=<your secret> \  
			--data-urlencode grant_type=client_credentials  
     
curl --request POST \
     --url https://dc1demogwext.paylocity.com/apiHub/Time/v2/companies/{{companyId}}/punchdetails \
     --header 'accept: application/json' \
     --header 'content-type: application/*+json' \
     --data '
          {
  		"relativeStart":"2024-03-05T00:00:00",
 			"relativeEnd":"2024-06-05T23:59:00"
		}'

curl --request GET \
     --url https://dc1demogwext.paylocity.com/apiHub//Time/v2/companies/{{companyId}}/PunchDetailOperations/{{operationId} \
     --header 'accept: application/json' \
     --header 'content-type: application/*+json' \
     --data '
     {
    "status": "succeeded",
    "created": "2024-12-13T20:42:57.587575",
    "lastUpdated": "2024-12-13T20:43:06.687066",
    "location": "https://paylocity.com/apihub/time/v2/companies/0179/PunchDetails/e81967e4-fffd-49d6-9e3a-2acc3e467ecb"
}'

curl --request GET \
     --url https://dc1demogwext.paylocity.com/apiHub/apihub/time/v1/companies/{{companyId}}/PunchDetails/{{resourceId}}?includetotalcount=true&limit=1000 \
     --header 'accept: application/json' \
     --header 'content-type: application/*+json' \
     --data '
    [
    {
        "employeeId": "10043",
        "companyId": "0179",
        "badgeNumber": 10043,
        "relativeStart": "2024-03-03T08:00:00",
        "relativeEnd": "2024-03-03T16:00:00",
        "segments": [
            {
                "punchID": "3387f5ce-77e0-ee11-9cc1-005056b36946",
                "origin": "Web",
                "date": "2024-03-03",
                "punchType": "work",
                "relativeStart": "2024-03-03T08:00:00",
                "relativeEnd": "2024-03-03T12:00:00",
                "relativeOriginalStart": "2024-03-03T08:00:00",
                "relativeOriginalEnd": "2024-03-03T12:00:00",
                "durationHours": 4,
                "earnings": 0,
                "costCenters": [
                    {
                        "id": "0b813402-f5b7-456b-9bc2-e3bcd7086040",
                        "costCenterId": 15748,
                        "level": 2,
                        "code": "BON",
                        "name": "Bonaroo ",
                        "isActive": true
                    },
                    {
                        "id": "63c97814-c6f6-43ad-8cba-3707f804c317",
                        "costCenterId": 15752,
                        "level": 1,
                        "code": "76513",
                        "name": "AddCC_BNVlL",
                        "isActive": false
                    },
                    {
                        "id": "c7853f22-7ee7-492c-ad6f-c1e4649350cd",
                        "costCenterId": 15753,
                        "level": 3,
                        "code": "CON",
                        "name": "Concessions",
                        "isActive": true
                    }
                ]
            },
            {
                "punchID": "3487f5ce-77e0-ee11-9cc1-005056b36946",
                "origin": "Web",
                "date": "2024-03-03",
                "punchType": "lunch",
                "relativeStart": "2024-03-03T12:00:00",
                "relativeEnd": "2024-03-03T13:00:00",
                "relativeOriginalStart": "2024-03-03T12:00:00",
                "relativeOriginalEnd": "2024-03-03T13:00:00",
                "durationHours": 1,
                "earnings": 0,
                "costCenters": [
                    {
                        "id": "0dc08042-038a-4875-b414-135244aa5c11",
                        "costCenterId": 12727,
                        "level": 1,
                        "code": "75577",
                        "name": "AddCC_d1S5A",
                        "isActive": false
                    },
                    {
                        "id": "0b813402-f5b7-456b-9bc2-e3bcd7086040",
                        "costCenterId": 15748,
                        "level": 2,
                        "code": "BON",
                        "name": "Bonaroo ",
                        "isActive": true
                    },
                    {
                        "id": "c7853f22-7ee7-492c-ad6f-c1e4649350cd",
                        "costCenterId": 15753,
                        "level": 3,
                        "code": "CON",
                        "name": "Concessions",
                        "isActive": true
                    }
                ]
            }
            ]'


 -- Create New Payroll Batch
curl --request POST \
     --url https://dc1demogwext.paylocity.com/apihub/payroll/v2/companies/companyId/payEntryImport \
     --header 'accept: application/json' \
     --header 'content-type: application/json'
```

```json Response Example
{"success":true}
```

# Get Company Information

<!-- curl@1-6 -->

The Get Company Information API endpoint provides access to specific company details. Users can retrieve a wide range of company information, including: company name, address, industry, (EIN) Employer Identification Number, and more.

# Get Employee Demographics

<!-- curl@8-11 -->

The GET Employee List by Company ID API endpoint provides a list of up to 20 employees per call from the Paylocity system.

# Step 1 Company Punch Detail: Start the Process to Retreive Data

<!-- curl@13-16 -->

Send a POST to the Company Punch Detail API. Include your company ID in the URL and a timeframe (relativeStart &  relativeEnd) in the body.

# Step 2 Company Punch Detail:Check the Status of the Punch Details Operation

<!-- curl@18-23 -->

Check the status of the Punch Details Operation. Send a GET to the Location that was generated in the previous step. It will generate a payload providing the status and the Resource ID for the next step in the process. The Resource ID can be found at the end of the Location URL in the payload.

# Step 3 Company Punch Detail:Generate the Company Punch Detail Data

<!-- curl@25-33 -->

Generate the Company Punch Detail Data. Send a GET to the Company Punch Detail URL. Include the companyId, resourceId. Including a limit the number of employee punches in the payload.

# Pay Entry: Create New Payroll Batch

<!-- curl@139-143 -->

The Pay Entry API allows API users to interface with Paylocity's HR & Payroll module, specifically within the 'Run Payroll' feature. This API allows users to submit new payroll batches for a specified check date.